
QGIS Application - Bug report #13393

Bad work with "Node tool"

2015-09-22 01:01 AM - Piotr Kania

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21445

Description

Hi! 

I edit postgis layers - while dragging vertices with "Node tool" often appear situation visible in screenshot - it doesn't happen when I edit in

qgis-dev-2.11.0-63, all versions bigger than "63" have such behaviour. My layers are ok - I checked in another gis software. On

screenshot everyone can see that highlighted line (which was edited with "Node tool") isn't a part of those long line, which is error. Those

situations happen also while I edit polygon layer.

Screenshot:

https://www.dropbox.com/s/mva8fvolf3n6lwy/screenshot.png?dl=0

Related issues:

Related to QGIS Application - Bug report # 13276: node tool regressions and i... Closed 2015-08-27

History

#1 - 2015-09-22 01:15 AM - Piotr Kania

win 7 x64 sp1,

postgresql-9.4.4-3-windows-x64

postgis_2_1_pg94

Generally, in qgis-dev-2.11.0-63 "Node tool" was a lot of better than in later qgis-dev - I back all the time to qgis-dev-2.11.0-63 as editing with "Node tool" is

more efficient - I wish those feature was reactivated:)

#2 - 2015-09-22 06:02 AM - Saber Razmjooei

- Category set to Digitising

#3 - 2015-09-27 09:54 AM - Saber Razmjooei

- Status changed from Open to Feedback

Works fine for me in the latest master. Could you try and report back?

#4 - 2015-10-12 10:29 AM - Saber Razmjooei

- Resolution set to worksforme

- Status changed from Feedback to Closed

No response and data to reproduce.
https://www.dropbox.com/s/mva8fvolf3n6lwy/screenshot.png?dl=0


#5 - 2015-10-13 02:41 AM - Piotr Kania

- Status changed from Closed to Reopened

Hi, I noticed that if I turn off "Enable topological editing" everything is ok - something wrong is with topological editing (QGIS code revision - 43c046b)

#6 - 2015-10-13 02:41 AM - Piotr Kania

Hi, I noticed that if I turn off "Enable topological editing" everything is ok - something wrong is with topological editing (QGIS code revision - 43c046b)

#7 - 2015-10-13 09:58 AM - Saber Razmjooei

- Status changed from Reopened to Feedback

- Resolution deleted (worksforme)

If I understand correctly, the node tool has split your line, when "Enable topological editing" is on?

If that is the case, did it happen when you tried to add a node or was it when you tried to move a node?

#8 - 2015-10-13 01:00 PM - Piotr Kania

It happens when I try to move vertice- in line and polygon layers, in postgis and shape files. It doesn't happen if I turn  off "Enable Topological Editing". It

doesn't happen all the time, but it creates weird errors - vertices from another feature "jump" to vertices, that I currently try to move. In case of polygon

common boundaries I need to use cutting and merging as a workaround, in case of lines- I need to turn off "Enable Topological Editing".

#9 - 2015-10-14 10:19 PM - Piotr Kania

- Status changed from Feedback to Closed

The same alert is in #13584, that's why I close
